Skip to main content
`Ctrl`+`K`

# TSSundialsSetMinTimeStep

Smallest time step to be chosen by the adaptive controller.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSSundialsSetMinTimeStep(TS ts, PetscReal mindt)

## Input Parameters

- ts - the time-step context

- mindt - lowest time step if positive, negative to deactivate

## Note

`TSSUNDIALS` will error if it is not possible to keep the estimated truncation error below the tolerance set with `TSSundialsSetTolerance()` without going below this step size.

## See Also

TS: Scalable ODE and DAE Solvers, `TSSundialsSetType()`, `TSSundialsSetTolerance()`,

## Level

beginner

## Location

src/ts/impls/implicit/sundials/sundials.c

## Implementations

TSSundialsSetMinTimeStep_Sundials() in src/ts/impls/implicit/sundials/sundials.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages